#pragma once

#include "D2D1.h"
#pragma comment(lib, "D2D1.lib")

#include "Vectors.h"

class grabSprite {
private:
	void ResetVariables();
public:
	Vec2<float> Position;
	Vec2<float> Scale;
	float Rotation;

	ID2D1Bitmap* Bitmap;


	grabSprite();
	grabSprite(ID2D1Bitmap* bitmap);
};